/**
 * Copyright (c) 2000-2017 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * pSubscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.template;

import com.liferay.portal.kernel.template.TemplateConstants;
import com.liferay.portal.util.PropsValues;

/**
 * @author Igor Spasic
 */
public class VelocityTemplateResourceLoader
	extends DefaultTemplateResourceLoader {

	public VelocityTemplateResourceLoader() {
		super(
			TemplateConstants.LANG_TYPE_VM,
			PropsValues.VELOCITY_ENGINE_RESOURCE_PARSERS,
			PropsValues.VELOCITY_ENGINE_RESOURCE_MODIFICATION_CHECK_INTERVAL);
	}

}