/**
 * Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portlet.documentlibrary.model;

/**
 * @author Hugo Huijser
 * @author Brian Wing Shun Chan
 * @author Alexander Chow
 */
public class DLFileEntryTypeConstants {

	public static final long FILE_ENTRY_TYPE_ID_ALL = -1;

	public static final long FILE_ENTRY_TYPE_ID_BASIC_DOCUMENT = 0;

	public static final String NAME_BASIC_DOCUMENT = "basic-document";

	public static final String NAME_CONTRACT = "Contract";

	public static final String NAME_IG_IMAGE = "Image Gallery Image";

	public static final String NAME_LOCALIZED_CONTRACT = "contract";

	public static final String NAME_LOCALIZED_IG_IMAGE = "image-gallery-image";

	public static final String NAME_LOCALIZED_MARKETING_BANNER =
		"marketing-banner";

	public static final String NAME_LOCALIZED_ONLINE_TRAINING =
		"online-training";

	public static final String NAME_LOCALIZED_SALES_PRESENTATION =
		"sales-presentation";

	public static final String NAME_MARKETING_BANNER = "Marketing Banner";

	public static final String NAME_ONLINE_TRAINING = "Online Training";

	public static final String NAME_SALES_PRESENTATION = "Sales Presentation";

}