<%--
/**
 * Copyright (c) 2000-2017 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * pSubscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/html/portlet/asset_publisher/init.jsp" %>

<c:if test="<%= PortalUtil.isRSSFeedsEnabled() %>">
	<liferay-ui:rss-settings
		delta="<%= rssDelta %>"
		displayStyle="<%= rssDisplayStyle %>"
		displayStyles="<%= new String[] {RSSUtil.DISPLAY_STYLE_ABSTRACT, RSSUtil.DISPLAY_STYLE_TITLE} %>"
		enabled="<%= enableRSS %>"
		feedType="<%= rssFeedType %>"
		name="<%= rssName %>"
		nameEnabled="<%= true %>"
	/>
</c:if>

<%@ include file="/html/portlet/asset_publisher/email_subscription_settings.jspf" %>