<%--
/**
 * Copyright (c) 2000-2017 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * pSubscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/html/portlet/dynamic_data_lists/init.jsp" %>

<%
String languageId = ParamUtil.getString(request, "languageId");
%>

<aui:script>
	Liferay.Util.getOpener().<portlet:namespace />postProcessTranslation('<%= HtmlUtil.escapeJS(languageId) %>');

	Liferay.fire(
		'closeWindow',
		{
			id: '<%= HtmlUtil.escapeJS(renderResponse.getNamespace() + languageId) %>'
		}
	);
</aui:script>