/**
 * Copyright (c) 2000-2017 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * pSubscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.verify;

/**
 * @author Tibor Lipusz
 */
public class VerifyRegion extends VerifyProcess {

	@Override
	protected void doVerify() throws Exception {
		runSQL(
			"update Region set regionCode = 'BB' where regionId = 4004 and " +
				"regionCode = 'BR'");
		runSQL(
			"update Region set name = 'Monza e Brianza', regionCode = 'MB' " +
				"where regionId = 8060 and regionCode = 'MZ'");
	}

}